# Ogre::RTShader::ProgramProcessor::MergeCombination Struct Reference

`#include <OgreShaderProgramProcessor.h>`

List of all members.

## Public Member Functions

| MergeCombination (int float1Count, int float1Mask, int float2Count, int float2Mask, int float3Count, int float3Mask, int float4Count, int float4Mask)

## Public Attributes

size_t | srcParamterTypeCount [4]
int | srcParameterMask [4]

## Detailed Description

Definition at line 135 of file OgreShaderProgramProcessor.h.

## Constructor & Destructor Documentation

Ogre::RTShader::ProgramProcessor::MergeCombination::MergeCombination | ( | int | float1Count,
|  | int | float1Mask,
|  | int | float2Count,
|  | int | float2Mask,
|  | int | float3Count,
|  | int | float3Mask,
|  | int | float4Count,
|  | int | float4Mask
| ) |  |

Definition at line 140 of file OgreShaderProgramProcessor.h.

## Member Data Documentation

int Ogre::RTShader::ProgramProcessor::MergeCombination::srcParameterMask[4]

Definition at line 138 of file OgreShaderProgramProcessor.h.

size_t Ogre::RTShader::ProgramProcessor::MergeCombination::srcParamterTypeCount[4]

Definition at line 137 of file OgreShaderProgramProcessor.h.

The documentation for this struct was generated from the following file:

- OgreShaderProgramProcessor.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun May 8 2011 20:28:23